OTP

OTP

POST https://sms.hollatags.com/api/otp/

This endpoint allows you to send OTP SMS messages

The POST parameters should be sent as x-www-form-urlencoded

Request Body

Name
Type
Description

user*

string

Account username

pass*

string

Account password

brand_name*

string

Your company, product or service as a brand name. Character length between 3 and 20. This has to be a pre-approved brand name. Please contact [email protected] The recipient will get a message like "Your OTP for [ABC Ltd] is: 1234"

to*

string

Destination number (must be in international format and no prefix e.g. 2348030000000)

otp_code*

string

The OTP code you intend to use for verification.

Numeric with character length between 4 and 8

callback_url

string

If specified, sms status notifications will be sent to this URL. You can include paths in the url but all query parameters would be ignored. See https://docs.hollatags.com/send/callback for a full list of message status parameters that will be sent back to your url.

enable_msg_id

string

If TRUE, the API response will contain a unique message_id for your sms. Sample response 2348030000000,24137cf8-eccc-469c-80af-109538857e53 Tilde (~) will be used to separate multiple destination numbers. e.g 2348030000000,42138969-09f9-434d-a3c6-db5733fba736~2348030000011,974790b3-e598-41a8-939b-772d16860fb4

hash_string

string

11-character hash string This is only useful for mobile app specific automatically phone number verification. Please leave blank if this is not relevant to you.

sent

Last updated